#!/usr/bin/env ruby

require 'textgen.rb'

strings = [
    "entryway",
    "underhalls",
    "the gantlet",
    "the focus",
    "the waste tunnels",
    "the crusher",
    "dead simple",
    "tricks and traps",
    "the pit",
    "refueling base",
    "circle of death",
    "the factory",
    "downtown",
    "the inmost dens",
    "industrial zone",
    "suburbs",
    "tenements",
    "the courtyard",
    "the citadel",
    "gotcha!",
    "nirvana",
    "the catacombs",
    "barrels o' fun",
    "the chasm",
    "bloodfalls",
    "the abandoned mines",
    "monster condo",
    "the spirit world",
    "the living end",
    "icon of sin",
    "wolfenstein",
    "grosse",
]

Dir.mkdir("output_test")

for i in 0...strings.length
    s = strings[i]
    img = gen_text(s)
    img.write(sprintf("output_test/map%02i.png", i + 1))
end



